

# CancelJobRun
<a name="API_CancelJobRun"></a>

Cancels a job run.

## Request Syntax
<a name="API_CancelJobRun_RequestSyntax"></a>

```
DELETE /applications/applicationId/jobruns/jobRunId?shutdownGracePeriodInSeconds=shutdownGracePeriodInSeconds HTTP/1.1
```

## URI Request Parameters
<a name="API_CancelJobRun_RequestParameters"></a>

The request uses the following URI parameters.

 ** [applicationId](#API_CancelJobRun_RequestSyntax) **   <a name="emrserverless-CancelJobRun-request-uri-applicationId"></a>
The ID of the application on which the job run will be canceled.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-z]+`   
Required: Yes

 ** [jobRunId](#API_CancelJobRun_RequestSyntax) **   <a name="emrserverless-CancelJobRun-request-uri-jobRunId"></a>
The ID of the job run to cancel.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-z]+`   
Required: Yes

 ** [shutdownGracePeriodInSeconds](#API_CancelJobRun_RequestSyntax) **   <a name="emrserverless-CancelJobRun-request-uri-shutdownGracePeriodInSeconds"></a>
The duration in seconds to wait before forcefully terminating the job after cancellation is requested.

## Request Body
<a name="API_CancelJobRun_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_CancelJobRun_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "applicationId": "string",
   "jobRunId": "string"
}
```

## Response Elements
<a name="API_CancelJobRun_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationId](#API_CancelJobRun_ResponseSyntax) **   <a name="emrserverless-CancelJobRun-response-applicationId"></a>
The output contains the application ID on which the job run is cancelled.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-z]+` 

 ** [jobRunId](#API_CancelJobRun_ResponseSyntax) **   <a name="emrserverless-CancelJobRun-response-jobRunId"></a>
The output contains the ID of the cancelled job run.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-z]+` 

## Errors
<a name="API_CancelJobRun_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
Request processing failed because of an error or failure with the service.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_CancelJobRun_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/emr-serverless-2021-07-13/CancelJobRun) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/emr-serverless-2021-07-13/CancelJobRun) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/emr-serverless-2021-07-13/CancelJobRun) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/emr-serverless-2021-07-13/CancelJobRun) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/emr-serverless-2021-07-13/CancelJobRun) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/emr-serverless-2021-07-13/CancelJobRun) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/emr-serverless-2021-07-13/CancelJobRun) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/emr-serverless-2021-07-13/CancelJobRun) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/emr-serverless-2021-07-13/CancelJobRun) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/emr-serverless-2021-07-13/CancelJobRun) 